=== modified file 'mysys/my_pthread.h'
--- mysys/my_pthread.h	2008-10-23 02:48:56 +0000
+++ mysys/my_pthread.h	2008-10-23 05:19:23 +0000
@@ -377,7 +377,7 @@
 #define ESRCH 1
 #endif
 
-typedef pthread_t my_thread_id;
+typedef uint64_t my_thread_id;
 
 extern bool my_thread_global_init(void);
 extern void my_thread_global_end(void);

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-10-23 02:48:56 +0000
+++ storage/myisam/ha_myisam.cc	2008-10-23 05:19:23 +0000
@@ -445,7 +445,8 @@
   LIST *element;
   pthread_mutex_lock(&file->s->intern_lock);
   if ((cur_session= (Session*) file->in_use.data))
-    sql_print_error(_("Got an error from thread_id=%lu, %s:%d"), cur_session->thread_id,
+    sql_print_error(_("Got an error from thread_id=%"PRIu64", %s:%d"),
+                    cur_session->thread_id,
                     sfile, sline);
   else
     sql_print_error(_("Got an error from unknown thread, %s:%d"), sfile, sline);

